# Uses of Class
org.eclipse.mat.snapshot.model.FieldDescriptor

Packages that use FieldDescriptor
Package
Description
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of FieldDescriptor in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return types with arguments of type FieldDescriptor
Modifier and Type
Method
Description
`List<FieldDescriptor>`
ClassImpl.`getFieldDescriptors()`
Constructors in org.eclipse.mat.parser.model with parameters of type FieldDescriptor
Modifier
Constructor
Description
``
`ClassImpl(long address, String name, long superAddress, long loaderAddress, Field[] staticFields, FieldDescriptor[] fields)`
Construct a class object based on name, address and fields.

## Uses of FieldDescriptor in org.eclipse.mat.snapshot.model

Subclasses of FieldDescriptor in org.eclipse.mat.snapshot.model
Modifier and Type
Class
Description
`final class`
`Field`
Describes a member variable, i.e.
Methods in org.eclipse.mat.snapshot.model that return types with arguments of type FieldDescriptor
Modifier and Type
Method
Description
`List<FieldDescriptor>`
IClass.`getFieldDescriptors()`
Returns field descriptors for all member variables of instances of this class.